<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Entegrasyon' => '\\StructType\\Entegrasyon',
            'ArrayOfMailList' => '\\ArrayType\\ArrayOfMailList',
            'MailList' => '\\StructType\\MailList',
            'ArrayOfEntegrasyon' => '\\ArrayType\\ArrayOfEntegrasyon',
            'KargoDesiFiyatSelectRequest' => '\\StructType\\KargoDesiFiyatSelectRequest',
            'KargoDesiFiyatSelectResponse' => '\\StructType\\KargoDesiFiyatSelectResponse',
            'ArrayOfKargoDesiFiyat' => '\\ArrayType\\ArrayOfKargoDesiFiyat',
            'KargoDesiFiyat' => '\\StructType\\KargoDesiFiyat',
            'KargoDesiFiyatGuncelleRequest' => '\\StructType\\KargoDesiFiyatGuncelleRequest',
            'KargoDesiFiyatBilgisi' => '\\StructType\\KargoDesiFiyatBilgisi',
            'SelectUlkeRequest' => '\\StructType\\SelectUlkeRequest',
            'ArrayOfKargoUlke' => '\\ArrayType\\ArrayOfKargoUlke',
            'KargoUlke' => '\\StructType\\KargoUlke',
            'SelectIlRequest' => '\\StructType\\SelectIlRequest',
            'ArrayOfKargoIl' => '\\ArrayType\\ArrayOfKargoIl',
            'KargoIl' => '\\StructType\\KargoIl',
            'SelectIlceRequest' => '\\StructType\\SelectIlceRequest',
            'ArrayOfKargoIlce' => '\\ArrayType\\ArrayOfKargoIlce',
            'KargoIlce' => '\\StructType\\KargoIlce',
            'ArrayOfKargoFirma' => '\\ArrayType\\ArrayOfKargoFirma',
            'KargoFirma' => '\\StructType\\KargoFirma',
            'WebIadeTalepSelectRequest' => '\\StructType\\WebIadeTalepSelectRequest',
            'IadeTalepFiltre' => '\\StructType\\IadeTalepFiltre',
            'WebIadeTalepResponse' => '\\StructType\\WebIadeTalepResponse',
            'ArrayOfIadeTalep' => '\\ArrayType\\ArrayOfIadeTalep',
            'IadeTalep' => '\\StructType\\IadeTalep',
            'WebIadeTalepGuncelleRequest' => '\\StructType\\WebIadeTalepGuncelleRequest',
            'WebTaksitSecenekRequest' => '\\StructType\\WebTaksitSecenekRequest',
            'WebTaksitSecenekResponse' => '\\StructType\\WebTaksitSecenekResponse',
            'ArrayOfWebTaksitBanka' => '\\ArrayType\\ArrayOfWebTaksitBanka',
            'WebTaksitBanka' => '\\StructType\\WebTaksitBanka',
            'ArrayOfWebTaksitSecenek' => '\\ArrayType\\ArrayOfWebTaksitSecenek',
            'WebTaksitSecenek' => '\\StructType\\WebTaksitSecenek',
            'ArrayOfWebKampanya' => '\\ArrayType\\ArrayOfWebKampanya',
            'WebKampanya' => '\\StructType\\WebKampanya',
            'GetFavoriUrunlerRequest' => '\\StructType\\GetFavoriUrunlerRequest',
            'GetFavoriUrunlerResponse' => '\\StructType\\GetFavoriUrunlerResponse',
            'ArrayOfWebFavoriUrunler' => '\\ArrayType\\ArrayOfWebFavoriUrunler',
            'WebFavoriUrunler' => '\\StructType\\WebFavoriUrunler',
            'AddFavoriUrunRequest' => '\\StructType\\AddFavoriUrunRequest',
            'AddFavoriUrunResponse' => '\\StructType\\AddFavoriUrunResponse',
            'RemoveFavoriUrunRequest' => '\\StructType\\RemoveFavoriUrunRequest',
            'RemoveFavoriUrunResponse' => '\\StructType\\RemoveFavoriUrunResponse',
            'GetFiyatAlarmUrunlerRequest' => '\\StructType\\GetFiyatAlarmUrunlerRequest',
            'GetFiyatAlarmUrunlerResponse' => '\\StructType\\GetFiyatAlarmUrunlerResponse',
            'ArrayOfWebFiyatAlarmUrunler' => '\\ArrayType\\ArrayOfWebFiyatAlarmUrunler',
            'WebFiyatAlarmUrunler' => '\\StructType\\WebFiyatAlarmUrunler',
            'AddFiyatAlarmUrunRequest' => '\\StructType\\AddFiyatAlarmUrunRequest',
            'AddFiyatAlarmUrunResponse' => '\\StructType\\AddFiyatAlarmUrunResponse',
            'RemoveFiyatAlarmUrunRequest' => '\\StructType\\RemoveFiyatAlarmUrunRequest',
            'RemoveFiyatAlarmUrunResponse' => '\\StructType\\RemoveFiyatAlarmUrunResponse',
            'GetStokAlarmUrunlerRequest' => '\\StructType\\GetStokAlarmUrunlerRequest',
            'GetStokAlarmUrunlerResponse' => '\\StructType\\GetStokAlarmUrunlerResponse',
            'ArrayOfWebStokAlarmUrunler' => '\\ArrayType\\ArrayOfWebStokAlarmUrunler',
            'WebStokAlarmUrunler' => '\\StructType\\WebStokAlarmUrunler',
            'AddStokAlarmUrunRequest' => '\\StructType\\AddStokAlarmUrunRequest',
            'AddStokAlarmUrunResponse' => '\\StructType\\AddStokAlarmUrunResponse',
            'RemoveStokAlarmUrunRequest' => '\\StructType\\RemoveStokAlarmUrunRequest',
            'RemoveStokAlarmUrunResponse' => '\\StructType\\RemoveStokAlarmUrunResponse',
            'GetMenuRequest' => '\\StructType\\GetMenuRequest',
            'GetMenuResponse' => '\\StructType\\GetMenuResponse',
            'WebServisResponse' => '\\StructType\\WebServisResponse',
            'ArrayOfWebMenu' => '\\ArrayType\\ArrayOfWebMenu',
            'WebMenu' => '\\StructType\\WebMenu',
            'SaveMenuRequest' => '\\StructType\\SaveMenuRequest',
            'SaveMenuResponse' => '\\StructType\\SaveMenuResponse',
            'DeleteMenuRequest' => '\\StructType\\DeleteMenuRequest',
            'DeleteMenuResponse' => '\\StructType\\DeleteMenuResponse',
            'ServisSaveSupportTicketRequest' => '\\StructType\\ServisSaveSupportTicketRequest',
            'ServisSaveSupportTicketResponse' => '\\StructType\\ServisSaveSupportTicketResponse',
            'ServisGetSupportTicketSubjectsRequest' => '\\StructType\\ServisGetSupportTicketSubjectsRequest',
            'ServisGetSupportTicketSubjectsResponse' => '\\StructType\\ServisGetSupportTicketSubjectsResponse',
            'ArrayOfServisSupportTicketSubject' => '\\ArrayType\\ArrayOfServisSupportTicketSubject',
            'ServisSupportTicketSubject' => '\\StructType\\ServisSupportTicketSubject',
            'ServisSaveSupportTicketAnswerRequest' => '\\StructType\\ServisSaveSupportTicketAnswerRequest',
            'ServisSaveSupportTicketAnswerResponse' => '\\StructType\\ServisSaveSupportTicketAnswerResponse',
            'ServisGetSupportTicketsRequest' => '\\StructType\\ServisGetSupportTicketsRequest',
            'ServisGetSupportTicketsResponse' => '\\StructType\\ServisGetSupportTicketsResponse',
            'ArrayOfServisMusteriTalep' => '\\ArrayType\\ArrayOfServisMusteriTalep',
            'ServisMusteriTalep' => '\\StructType\\ServisMusteriTalep',
            'ServisGetSupportTicketMessagesRequest' => '\\StructType\\ServisGetSupportTicketMessagesRequest',
            'ServisGetSupportTicketMessagesResponse' => '\\StructType\\ServisGetSupportTicketMessagesResponse',
            'ArrayOfServisMusteriCevap' => '\\ArrayType\\ArrayOfServisMusteriCevap',
            'ServisMusteriCevap' => '\\StructType\\ServisMusteriCevap',
            'GetCampaingBannersRequest' => '\\StructType\\GetCampaingBannersRequest',
            'GetCampaingBannersResponse' => '\\StructType\\GetCampaingBannersResponse',
            'ArrayOfCampaingBannerList' => '\\ArrayType\\ArrayOfCampaingBannerList',
            'CampaingBannerList' => '\\StructType\\CampaingBannerList',
            'SaveEntegrasyonId' => '\\StructType\\SaveEntegrasyonId',
            'SaveEntegrasyonIdResponse' => '\\StructType\\SaveEntegrasyonIdResponse',
            'SelectEntegrasyonId' => '\\StructType\\SelectEntegrasyonId',
            'SelectEntegrasyonIdResponse' => '\\StructType\\SelectEntegrasyonIdResponse',
            'DeleteEntegrasyonId' => '\\StructType\\DeleteEntegrasyonId',
            'DeleteEntegrasyonIdResponse' => '\\StructType\\DeleteEntegrasyonIdResponse',
            'SelectMailList' => '\\StructType\\SelectMailList',
            'SelectMailListResponse' => '\\StructType\\SelectMailListResponse',
            'SelectEntegrasyon' => '\\StructType\\SelectEntegrasyon',
            'SelectEntegrasyonResponse' => '\\StructType\\SelectEntegrasyonResponse',
            'SelectKargoDesiFiyat' => '\\StructType\\SelectKargoDesiFiyat',
            'SelectKargoDesiFiyatResponse' => '\\StructType\\SelectKargoDesiFiyatResponse',
            'GuncelleKargoDesiFiyat' => '\\StructType\\GuncelleKargoDesiFiyat',
            'GuncelleKargoDesiFiyatResponse' => '\\StructType\\GuncelleKargoDesiFiyatResponse',
            'SelectUlkeler' => '\\StructType\\SelectUlkeler',
            'SelectUlkelerResponse' => '\\StructType\\SelectUlkelerResponse',
            'SelectIller' => '\\StructType\\SelectIller',
            'SelectIllerResponse' => '\\StructType\\SelectIllerResponse',
            'SelectIlceler' => '\\StructType\\SelectIlceler',
            'SelectIlcelerResponse' => '\\StructType\\SelectIlcelerResponse',
            'SelectKargoFirmalari' => '\\StructType\\SelectKargoFirmalari',
            'SelectKargoFirmalariResponse' => '\\StructType\\SelectKargoFirmalariResponse',
            'SelectIadeTalebi' => '\\StructType\\SelectIadeTalebi',
            'SelectIadeTalebiResponse' => '\\StructType\\SelectIadeTalebiResponse',
            'UpdateIadeTalebi' => '\\StructType\\UpdateIadeTalebi',
            'UpdateIadeTalebiResponse' => '\\StructType\\UpdateIadeTalebiResponse',
            'GetTaksitSecenek' => '\\StructType\\GetTaksitSecenek',
            'GetTaksitSecenekResponse' => '\\StructType\\GetTaksitSecenekResponse',
            'GetKampanya' => '\\StructType\\GetKampanya',
            'GetKampanyaResponse' => '\\StructType\\GetKampanyaResponse',
            'GetFavoriUrunler' => '\\StructType\\GetFavoriUrunler',
            'AddFavoriUrun' => '\\StructType\\AddFavoriUrun',
            'RemoveFavoriUrun' => '\\StructType\\RemoveFavoriUrun',
            'GetFiyatAlarmUrunler' => '\\StructType\\GetFiyatAlarmUrunler',
            'AddFiyatAlarmUrun' => '\\StructType\\AddFiyatAlarmUrun',
            'RemoveFiyatAlarmUrun' => '\\StructType\\RemoveFiyatAlarmUrun',
            'GetStokAlarmUrunler' => '\\StructType\\GetStokAlarmUrunler',
            'AddStokAlarmUrun' => '\\StructType\\AddStokAlarmUrun',
            'RemoveStokAlarmUrun' => '\\StructType\\RemoveStokAlarmUrun',
            'GetMenu' => '\\StructType\\GetMenu',
            'SaveMenu' => '\\StructType\\SaveMenu',
            'DeleteMenu' => '\\StructType\\DeleteMenu',
            'SaveSupportTicket' => '\\StructType\\SaveSupportTicket',
            'SaveSupportTicketResponse' => '\\StructType\\SaveSupportTicketResponse',
            'GetSupportTicketSubject' => '\\StructType\\GetSupportTicketSubject',
            'GetSupportTicketSubjectResponse' => '\\StructType\\GetSupportTicketSubjectResponse',
            'SaveSupportTicketAnswer' => '\\StructType\\SaveSupportTicketAnswer',
            'SaveSupportTicketAnswerResponse' => '\\StructType\\SaveSupportTicketAnswerResponse',
            'GetSupportTickets' => '\\StructType\\GetSupportTickets',
            'GetSupportTicketsResponse' => '\\StructType\\GetSupportTicketsResponse',
            'GetSupportTicketMessages' => '\\StructType\\GetSupportTicketMessages',
            'GetSupportTicketMessagesResponse' => '\\StructType\\GetSupportTicketMessagesResponse',
            'GetCampaingBanners' => '\\StructType\\GetCampaingBanners',
        );
    }
}
