<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IadeTalep StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:IadeTalep
 * @subpackage Structs
 */
class IadeTalep extends AbstractStructBase
{
    /**
     * The Cevap
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Cevap;
    /**
     * The CevapTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CevapTarihi;
    /**
     * The Cevaplayan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Cevaplayan;
    /**
     * The CevaplayanID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $CevaplayanID;
    /**
     * The Durum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Durum;
    /**
     * The DurumID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $DurumID;
    /**
     * The EklemeTarihi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $EklemeTarihi;
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ID;
    /**
     * The Notlar
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Notlar;
    /**
     * The ParaIadeTipi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ParaIadeTipi;
    /**
     * The SiparisID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisID;
    /**
     * The UyeAdi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeAdi;
    /**
     * The UyeID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeID;
    /**
     * Constructor method for IadeTalep
     * @uses IadeTalep::setCevap()
     * @uses IadeTalep::setCevapTarihi()
     * @uses IadeTalep::setCevaplayan()
     * @uses IadeTalep::setCevaplayanID()
     * @uses IadeTalep::setDurum()
     * @uses IadeTalep::setDurumID()
     * @uses IadeTalep::setEklemeTarihi()
     * @uses IadeTalep::setID()
     * @uses IadeTalep::setNotlar()
     * @uses IadeTalep::setParaIadeTipi()
     * @uses IadeTalep::setSiparisID()
     * @uses IadeTalep::setUyeAdi()
     * @uses IadeTalep::setUyeID()
     * @param string $cevap
     * @param string $cevapTarihi
     * @param string $cevaplayan
     * @param int $cevaplayanID
     * @param string $durum
     * @param int $durumID
     * @param string $eklemeTarihi
     * @param int $iD
     * @param string $notlar
     * @param int $paraIadeTipi
     * @param int $siparisID
     * @param string $uyeAdi
     * @param int $uyeID
     */
    public function __construct($cevap = null, $cevapTarihi = null, $cevaplayan = null, $cevaplayanID = null, $durum = null, $durumID = null, $eklemeTarihi = null, $iD = null, $notlar = null, $paraIadeTipi = null, $siparisID = null, $uyeAdi = null, $uyeID = null)
    {
        $this
            ->setCevap($cevap)
            ->setCevapTarihi($cevapTarihi)
            ->setCevaplayan($cevaplayan)
            ->setCevaplayanID($cevaplayanID)
            ->setDurum($durum)
            ->setDurumID($durumID)
            ->setEklemeTarihi($eklemeTarihi)
            ->setID($iD)
            ->setNotlar($notlar)
            ->setParaIadeTipi($paraIadeTipi)
            ->setSiparisID($siparisID)
            ->setUyeAdi($uyeAdi)
            ->setUyeID($uyeID);
    }
    /**
     * Get Cevap value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCevap()
    {
        return isset($this->Cevap) ? $this->Cevap : null;
    }
    /**
     * Set Cevap value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cevap
     * @return \StructType\IadeTalep
     */
    public function setCevap($cevap = null)
    {
        // validation for constraint: string
        if (!is_null($cevap) && !is_string($cevap)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cevap, true), gettype($cevap)), __LINE__);
        }
        if (is_null($cevap) || (is_array($cevap) && empty($cevap))) {
            unset($this->Cevap);
        } else {
            $this->Cevap = $cevap;
        }
        return $this;
    }
    /**
     * Get CevapTarihi value
     * @return string|null
     */
    public function getCevapTarihi()
    {
        return $this->CevapTarihi;
    }
    /**
     * Set CevapTarihi value
     * @param string $cevapTarihi
     * @return \StructType\IadeTalep
     */
    public function setCevapTarihi($cevapTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($cevapTarihi) && !is_string($cevapTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cevapTarihi, true), gettype($cevapTarihi)), __LINE__);
        }
        $this->CevapTarihi = $cevapTarihi;
        return $this;
    }
    /**
     * Get Cevaplayan value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCevaplayan()
    {
        return isset($this->Cevaplayan) ? $this->Cevaplayan : null;
    }
    /**
     * Set Cevaplayan value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cevaplayan
     * @return \StructType\IadeTalep
     */
    public function setCevaplayan($cevaplayan = null)
    {
        // validation for constraint: string
        if (!is_null($cevaplayan) && !is_string($cevaplayan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cevaplayan, true), gettype($cevaplayan)), __LINE__);
        }
        if (is_null($cevaplayan) || (is_array($cevaplayan) && empty($cevaplayan))) {
            unset($this->Cevaplayan);
        } else {
            $this->Cevaplayan = $cevaplayan;
        }
        return $this;
    }
    /**
     * Get CevaplayanID value
     * @return int|null
     */
    public function getCevaplayanID()
    {
        return $this->CevaplayanID;
    }
    /**
     * Set CevaplayanID value
     * @param int $cevaplayanID
     * @return \StructType\IadeTalep
     */
    public function setCevaplayanID($cevaplayanID = null)
    {
        // validation for constraint: int
        if (!is_null($cevaplayanID) && !(is_int($cevaplayanID) || ctype_digit($cevaplayanID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cevaplayanID, true), gettype($cevaplayanID)), __LINE__);
        }
        $this->CevaplayanID = $cevaplayanID;
        return $this;
    }
    /**
     * Get Durum value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDurum()
    {
        return isset($this->Durum) ? $this->Durum : null;
    }
    /**
     * Set Durum value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $durum
     * @return \StructType\IadeTalep
     */
    public function setDurum($durum = null)
    {
        // validation for constraint: string
        if (!is_null($durum) && !is_string($durum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($durum, true), gettype($durum)), __LINE__);
        }
        if (is_null($durum) || (is_array($durum) && empty($durum))) {
            unset($this->Durum);
        } else {
            $this->Durum = $durum;
        }
        return $this;
    }
    /**
     * Get DurumID value
     * @return int|null
     */
    public function getDurumID()
    {
        return $this->DurumID;
    }
    /**
     * Set DurumID value
     * @param int $durumID
     * @return \StructType\IadeTalep
     */
    public function setDurumID($durumID = null)
    {
        // validation for constraint: int
        if (!is_null($durumID) && !(is_int($durumID) || ctype_digit($durumID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($durumID, true), gettype($durumID)), __LINE__);
        }
        $this->DurumID = $durumID;
        return $this;
    }
    /**
     * Get EklemeTarihi value
     * @return string|null
     */
    public function getEklemeTarihi()
    {
        return $this->EklemeTarihi;
    }
    /**
     * Set EklemeTarihi value
     * @param string $eklemeTarihi
     * @return \StructType\IadeTalep
     */
    public function setEklemeTarihi($eklemeTarihi = null)
    {
        // validation for constraint: string
        if (!is_null($eklemeTarihi) && !is_string($eklemeTarihi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($eklemeTarihi, true), gettype($eklemeTarihi)), __LINE__);
        }
        $this->EklemeTarihi = $eklemeTarihi;
        return $this;
    }
    /**
     * Get ID value
     * @return int|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\IadeTalep
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !(is_int($iD) || ctype_digit($iD))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iD, true), gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Notlar value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNotlar()
    {
        return isset($this->Notlar) ? $this->Notlar : null;
    }
    /**
     * Set Notlar value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $notlar
     * @return \StructType\IadeTalep
     */
    public function setNotlar($notlar = null)
    {
        // validation for constraint: string
        if (!is_null($notlar) && !is_string($notlar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($notlar, true), gettype($notlar)), __LINE__);
        }
        if (is_null($notlar) || (is_array($notlar) && empty($notlar))) {
            unset($this->Notlar);
        } else {
            $this->Notlar = $notlar;
        }
        return $this;
    }
    /**
     * Get ParaIadeTipi value
     * @return int|null
     */
    public function getParaIadeTipi()
    {
        return $this->ParaIadeTipi;
    }
    /**
     * Set ParaIadeTipi value
     * @param int $paraIadeTipi
     * @return \StructType\IadeTalep
     */
    public function setParaIadeTipi($paraIadeTipi = null)
    {
        // validation for constraint: int
        if (!is_null($paraIadeTipi) && !(is_int($paraIadeTipi) || ctype_digit($paraIadeTipi))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($paraIadeTipi, true), gettype($paraIadeTipi)), __LINE__);
        }
        $this->ParaIadeTipi = $paraIadeTipi;
        return $this;
    }
    /**
     * Get SiparisID value
     * @return int|null
     */
    public function getSiparisID()
    {
        return $this->SiparisID;
    }
    /**
     * Set SiparisID value
     * @param int $siparisID
     * @return \StructType\IadeTalep
     */
    public function setSiparisID($siparisID = null)
    {
        // validation for constraint: int
        if (!is_null($siparisID) && !(is_int($siparisID) || ctype_digit($siparisID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisID, true), gettype($siparisID)), __LINE__);
        }
        $this->SiparisID = $siparisID;
        return $this;
    }
    /**
     * Get UyeAdi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeAdi()
    {
        return isset($this->UyeAdi) ? $this->UyeAdi : null;
    }
    /**
     * Set UyeAdi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeAdi
     * @return \StructType\IadeTalep
     */
    public function setUyeAdi($uyeAdi = null)
    {
        // validation for constraint: string
        if (!is_null($uyeAdi) && !is_string($uyeAdi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeAdi, true), gettype($uyeAdi)), __LINE__);
        }
        if (is_null($uyeAdi) || (is_array($uyeAdi) && empty($uyeAdi))) {
            unset($this->UyeAdi);
        } else {
            $this->UyeAdi = $uyeAdi;
        }
        return $this;
    }
    /**
     * Get UyeID value
     * @return int|null
     */
    public function getUyeID()
    {
        return $this->UyeID;
    }
    /**
     * Set UyeID value
     * @param int $uyeID
     * @return \StructType\IadeTalep
     */
    public function setUyeID($uyeID = null)
    {
        // validation for constraint: int
        if (!is_null($uyeID) && !(is_int($uyeID) || ctype_digit($uyeID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeID, true), gettype($uyeID)), __LINE__);
        }
        $this->UyeID = $uyeID;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\IadeTalep
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
