<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SaveMenuResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SaveMenuResponse
 * @subpackage Structs
 */
class SaveMenuResponse extends WebServisResponse
{
    /**
     * The SaveMenuResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SaveMenuResponse
     */
    public $SaveMenuResult;
    /**
     * Constructor method for SaveMenuResponse
     * @uses SaveMenuResponse::setSaveMenuResult()
     * @param \StructType\SaveMenuResponse $saveMenuResult
     */
    public function __construct(\StructType\SaveMenuResponse $saveMenuResult = null)
    {
        $this
            ->setSaveMenuResult($saveMenuResult);
    }
    /**
     * Get SaveMenuResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SaveMenuResponse|null
     */
    public function getSaveMenuResult()
    {
        return isset($this->SaveMenuResult) ? $this->SaveMenuResult : null;
    }
    /**
     * Set SaveMenuResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SaveMenuResponse $saveMenuResult
     * @return \StructType\SaveMenuResponse
     */
    public function setSaveMenuResult(\StructType\SaveMenuResponse $saveMenuResult = null)
    {
        if (is_null($saveMenuResult) || (is_array($saveMenuResult) && empty($saveMenuResult))) {
            unset($this->SaveMenuResult);
        } else {
            $this->SaveMenuResult = $saveMenuResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SaveMenuResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
